Package org.drinkless.tdlib

# Class TdApi.MessageGiftedTon

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageGiftedTon

Enclosing class:
  `TdApi`

public static class TdApi.MessageGiftedTon extends TdApi.MessageContent
Toncoins were gifted to a user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `gifterUserId`
  The identifier of a user who gifted Toncoins; 0 if the gift was anonymous or is outgoing.
  `long`
  `receiverUserId`
  The identifier of a user who received Toncoins; 0 if the gift is incoming.
  `TdApi.Sticker`
  `sticker`
  A sticker to be shown in the message; may be null if unknown.
  `long`
  `tonAmount`
  The received Toncoin amount, in the smallest units of the cryptocurrency.
  `String`
  `transactionId`
  Identifier of the transaction for Toncoin credit; for receiver only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageGiftedTon()`
  Toncoins were gifted to a user.
  `MessageGiftedTon(long gifterUserId, long receiverUserId, long tonAmount, String transactionId, TdApi.Sticker sticker)`
  Toncoins were gifted to a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gifterUserId

    public long gifterUserId
    The identifier of a user who gifted Toncoins; 0 if the gift was anonymous or is outgoing.

  - ### receiverUserId

    public long receiverUserId
    The identifier of a user who received Toncoins; 0 if the gift is incoming.

  - ### tonAmount

    public long tonAmount
    The received Toncoin amount, in the smallest units of the cryptocurrency.

  - ### transactionId

    public String transactionId
    Identifier of the transaction for Toncoin credit; for receiver only.

  - ### sticker

    @Nullable public TdApi.Sticker sticker
    A sticker to be shown in the message; may be null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageGiftedTon

    public MessageGiftedTon()
    Toncoins were gifted to a user.

  - ### MessageGiftedTon

    public MessageGiftedTon(long gifterUserId, long receiverUserId, long tonAmount, String transactionId, TdApi.Sticker sticker)
    Toncoins were gifted to a user.
    Parameters:
      `gifterUserId` - The identifier of a user who gifted Toncoins; 0 if the gift was anonymous or is outgoing.
      `receiverUserId` - The identifier of a user who received Toncoins; 0 if the gift is incoming.
      `tonAmount` - The received Toncoin amount, in the smallest units of the cryptocurrency.
      `transactionId` - Identifier of the transaction for Toncoin credit; for receiver only.
      `sticker` - A sticker to be shown in the message; may be null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR